Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000065OpenIVArchive editingpublic2011-10-02 16:232011-10-04 19:52
ReporterWhiskas T-Mech 
Assigned ToGooD-NTS 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindows XP (x64)OS Version5.2.3790
Product Version0.9.2 (build 250) 
Target Version0.9.3 (build 273)Fixed in Version0.9.3 (build 273) 
Summary0000065: Archives has been damaged after rebuild. Some errors shown while trying to open file.
DescriptionВремя: "16:52:33"
Тип: "EExternalException"
Сообщение: "[RSC IO] Not valid resource file. Code: 0"

Дополнительная информация:
  Address: "0x004B60E5"
  Procedure: "Rage.Resources.IO.TRageResourceFile.ReadSignatureAndHeader"
  Unit: "..\..\..\Common Units\Rage\Resources\Rage.Resources.IO.pas", Line: "167"

Stack:
[004B60E0] Rage.Resources.IO.TRageResourceFile.ReadSignatureAndHeader (Line 166, "..\..\..\Common Units\Rage\Resources\Rage.Resources.IO.pas" + 11) + $11
[004B6222] Rage.Resources.IO.TRageResourceFile.ReadStreamAndCreateSegments (Line 175, "..\..\..\Common Units\Rage\Resources\Rage.Resources.IO.pas" + 1) + $4
[0090B867] UI.Window.Resources.Edit.Texture.CResource.Load<Rage.Collections.pgDictionary<Rage.Graphics.Texture.grcTexturePC>> (Line 95, "..\..\..\Common Units\Rage\Resources\Rage.Resources.pas" + 1) + $13
[00909EDE] UI.Window.Resources.Edit.Texture.TRageTextureWindow.Load (Line 898, "Windows\UI.Window.Resources.Edit.Texture.pas" + 13) + $D
[009811E3] OpenIV.TypeLibrary2.GTAIVPCResources.CRSCTextureDictionary.editTextureDictionary (Line 150, "TypeLibrary\OpenIV.TypeLibrary2.GTAIVPCResources.pas" + 10) + $7
[008105EF] OpenIV.TypeLibrary2.Base.CFileBase.ExecuteEditAction (Line 269, "TypeLibrary\OpenIV.TypeLibrary2.Base.pas" + 6) + $19
[0091FA51] UI.System.TActionsModule.actEditFileExecute (Line 1195, "Windows\UI.System.pas" + 2) + $E
[004F9C20] Controls.TWinControl.WndProc + $568
[0056070E] ComCtrls.TCustomListView.WndProc + $A2
[00454280] Classes.StdWndProc + $14
Steps To ReproduceCreate a new empty WTD inside an IMG. IMG mustn't be empty.
Rebuild archieve.
Open the new empty WTD at once.
TagsNo tags attached.
GameGTA IV
Attached Files

- Relationships
has duplicate 0000066closedGooD-NTS "EReadError" Error on opening saved WTD after rebuilded IMG 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-10-02 16:23 Whiskas T-Mech New Issue
2011-10-04 19:46 GooD-NTS Relationship added has duplicate 0000066
2011-10-04 19:51 GooD-NTS Assigned To => GooD-NTS
2011-10-04 19:51 GooD-NTS Status new => assigned
2011-10-04 19:51 GooD-NTS Target Version => 0.9.3 (build 273)
2011-10-04 19:51 GooD-NTS Summary "EExternalException" Error on opening empty WTD after rebuilded IMG => Archives has been damaged after rebuild. Some errors shown while trying to open file.
2011-10-04 19:52 GooD-NTS Status assigned => closed
2011-10-04 19:52 GooD-NTS Resolution open => fixed
2011-10-04 19:52 GooD-NTS Fixed in Version => 0.9.3 (build 273)
2016-10-13 14:42 GooD-NTS Category Archive editing (global) => Archive editing


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker